globus_gssapi_error_utility(3)

NAME
globus_gssapi_error_utility - Error Handling Helpers

 - Error Handling Helpers.

SYNOPSIS

  Functions

globus_bool_t globus_error_gssapi_match (globus_object_t *error, globus_module_descriptor_t *module, const OM_uint32 major_status)
Error Match.
globus_object_t * globus_error_wrap_gssapi_error (globus_module_descriptor_t *base_source, OM_uint32 major_status, OM_uint32 minor_status, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)
Wrap GSSAPI Error.

Detailed Description

Error Handling Helpers.

Helper functions for dealing with Globus GSSAPI Error objects.

This section defines utility functions for dealing with Globus GSSAPI Error objects.

Function Documentation

  globus_bool_t globus_error_gssapi_match (globus_object_t * error, globus_module_descriptor_t * module, const OM_uint32 major_status)

Error Match. Check whether the error originated from a specific module and match a specific major status.

This function checks whether the error or any of it's causative errors originated from a specific module and contains a specific major status. If the module descriptor is left unspecified this function will check for any error of the specified major_status and vice versa.

Parameters
    error The error object for which to perform the check
    module The module descriptor to check for
    major_status The major status to check for

Return values
    GLOBUS_TRUE The error matched the module and major status
    GLOBUS_FALSE The error failed to match the module and major status

  globus_object_t * globus_error_wrap_gssapi_error (globus_module_descriptor_t * base_source, OM_uint32 major_status, OM_uint32 minor_status, int type, const char * source_file, const char * source_func, int source_line, const char * short_desc_format, ...)

Wrap GSSAPI Error. Allocate and initialize an error of type GLOBUS_ERROR_TYPE_GLOBUS which contains a causal error of type GLOBUS_ERROR_TYPE_GSSAPI.

Parameters
    base_source Pointer to the originating module.
    major_status The major status to use when generating the causal error.
    minor_status The minor status to use when generating the causal error.
    type The error type. We may reserve part of this namespace for common errors. Errors not in this space are assumed to be local to the originating module.
    source_file Name of file. Use FILE
    source_func Name of function. Use _globus_func_name and declare your func with GlobusFuncName(<name>)
    source_line Line number. Use LINE
    short_desc_format Short format string giving a succinct description of the error. To be passed on to the user.
    ... Arguments for the format string.

Returns
    The resulting error object. It is the user's responsibility to eventually free this object using globus_object_free(). A globus_result_t may be obtained by calling globus_error_put() on this object.

Author

Generated automatically by Doxygen for globus_gssapi_error from the source code.